Bug 2007482 - Different word is registered in a gcanna.ctd dictionary
Summary: Different word is registered in a gcanna.ctd dictionary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anthy-unicode
Version: 34
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-24 02:46 UTC by masanari iida
Modified: 2021-11-03 01:11 UTC (History)
1 user (show)

Fixed In Version: anthy-unicode-1.0.0.20201109-10.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-03 01:11:01 UTC
Type: Bug


Attachments (Terms of Use)

Description masanari iida 2021-09-24 02:46:25 UTC
Description of problem:
If I type "しゅびたい" and convert the word, the anthy-unicode 
retuned 2 candidates. 守備的 and 守備隊.
But 守備的 is _not_ "しゅびたい"
This is happened because different word is registered in gcanna.ctd
dictionary.

Version-Release number of selected component (if applicable):
anthy-unicode-1.0.0.20201109-6.fc34

How reproducible:
Always

Steps to Reproduce:
1. Activate anthy-unicode
2. Type "しゅびたい" and convert the word in Kanji

Actual results:
守備的, 守備隊 and しゅびたい are listed as candidate.

Expected results:
守備隊 and しゅびたい are listed as candidate.

Additional info:

$ diff -u gcanna.ctd gcanna.ctd.new 
--- gcanna.ctd	2020-11-09 16:43:43.000000000 +0900
+++ gcanna.ctd.new	2021-09-24 11:39:53.458758540 +0900
@@ -54166,7 +54166,8 @@
 しゅびがわ #T35*200 守備側
 しゅびき #T30*80 朱引
 しゅびじん #T35*200 守備陣
-しゅびたい #T17*200 守備的 #T35*200 守備隊
+しゅびたい #T35*200 守備隊
+しゅびてき #T17*200 守備的
 しゅびはんい #T35*250 守備範囲
 しゅびょう #T35*250 種苗
 しゅびりょく #T35*200 守備力

This symptom can be found in all versions of anthy and anthy-unicode.

Comment 1 fujiwara 2021-10-21 13:26:18 UTC
Thank you very much for the report.

Comment 2 Fedora Update System 2021-10-22 00:39:01 UTC
FEDORA-2021-bf632768c1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf632768c1

Comment 3 Fedora Update System 2021-10-23 02:23:30 UTC
FEDORA-2021-bf632768c1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bf632768c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf632768c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-10-26 09:52:04 UTC
FEDORA-2021-bf632768c1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf632768c1

Comment 5 Fedora Update System 2021-10-26 15:41:34 UTC
FEDORA-2021-bf632768c1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bf632768c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf632768c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-03 01:11:01 UTC
FEDORA-2021-bf632768c1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.